Name:          spdlog
Version:       1.15.0
Release:       1mamba
Summary:       Fast C++ logging library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gabime/spdlog
Source:        https://github.com/gabime/spdlog.git/v%{version}/spdlog-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfmt-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libfmt-devel >= 11.0.2
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Fast C++ logging library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Fast C++ logging library
Requires:      pkg-config

%description -n lib%{name}
Fast C++ logging library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      pkg-config
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
Fast C++ logging library.
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DSPDLOG_FMT_EXTERNAL=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libspdlog.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/spdlog
%{_includedir}/spdlog/*
%{_libdir}/libspdlog.so
%dir %{_libdir}/cmake/spdlog
%{_libdir}/cmake/spdlog/spdlog*.cmake
%{_libdir}/pkgconfig/spdlog.pc
%doc README.md

%changelog
* Sun Nov 10 2024 Automatic Build System <autodist@openmamba.org> 1.15.0-1mamba
- automatic version update by autodist

* Tue Sep 03 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.1-2mamba
- rebuilt with libfmt 11.0.2

* Tue Apr 30 2024 Automatic Build System <autodist@openmamba.org> 1.14.1-1mamba
- automatic version update by autodist

* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 1.14.0-1mamba
- automatic version update by autodist

* Sat Jan 13 2024 Automatic Build System <autodist@openmamba.org> 1.13.0-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.0-2mamba
- rebuilt with external libfmt

* Mon Jul 10 2023 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Thu Nov 03 2022 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Wed Apr 06 2022 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Mon Aug 16 2021 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic version update by autodist

* Wed Jul 28 2021 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Wed Jul 21 2021 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Mon May 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.5-2mamba
- libspdlog-devel: require libspdlog

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 1.8.5-1mamba
- automatic version update by autodist

* Sat Dec 19 2020 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Sat Oct 03 2020 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Wed Sep 02 2020 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sat Jun 06 2020 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-1mamba
- package created using the webbuild interface
